## Gooey 1.0.5 Released! 

Gooey is now using WX 4.1.0!

This change should resolve several issues in Ubuntu as well as the numerous other quirks which have been reported.

## Thank you to the current Patreon supporters! 

* Qteal
* Joseph Rhodes


# New widgets: 

### FilterableDropdown

![Filterable Dropdown](https://user-images.githubusercontent.com/1408720/97120143-6649fc00-16d2-11eb-95a9-f8c49cae055f.gif)

You can checkout a runnable example in the GooeyExamples repo [here](https://github.com/chriskiehl/GooeyExamples/blob/1.0.5-release/examples/FilterableDropdown.py)

Example Code: 

```python
add_argument(
    choices=['a', 'b', 'c'],
    widget='FilterableDropdown',
    gooey_options={
        'no_match': 'No results found!',
        'placeholder': 'Type something!'
})
```

This introduces a new language translation key: "no_matches_found" to handle the case where the user's input doesn't match any of the choices. This is used by default, but can be overridden via gooey options

### Elapsed Time / Estimated time remaining

![fbHcpCAGD8](https://user-images.githubusercontent.com/19178331/85913252-592d1580-b876-11ea-8def-25b12732b9cb.gif)

@JackMcKew put in a herculean effort and introduced a new feature where elapsed and estimated remaining time can be shown in addition to the standard progress bar. 

You can checkout an example [here](https://github.com/chriskiehl/GooeyExamples/blob/master/examples/example_time_remaining.py)

Example Code: 

```python
@Gooey(timing_options={
    'show_time_remaining':True,
    'hide_time_remaining_on_complete':True
})
```   


## Breaking Changes 

* (documentation breaking)`terminal_font_weight`'s public documented API allowed the strings "NORMAL" and "BOLD" while its internal implementation relied on numeric font weights (light=200, normal=300, etc..). The documentation was updated to show the correct usage and a constants file was added to the public API.   


## Functionality

* @neonbunny enabled Parsers to use configuration from parents. 
* @eladeyal-intel updated `RichTextConsole` to allow control+scrollwheel to zoom the text 
 
 

## Language Additions / Improvements

* @soleil0-0 - Additional Chinese translation
* @dancergraham - Additional French translation 
* @ajvirSingh1313 - Hindi translation 
 

## Bug Fixes 

* Fixed bug where dynamic updates to a Dropdown would cause the selection to be lost 
* Fixed performance issues where dynamic updates with large items would cause Gooey to hang
* @rotu fixed a bug in dynamic updates related to `Popen` usage.
* @neonbunny - resolved warning cause by missing return statement
* Fixed bug where terminal font and colors were not being set correctly
* Fixed mysterious RadioGroup issue where underlying WxWidgets would 'forget' the current selection under certain circumstances 
  

